%define homedir %{_sysconfdir}/dcc
%define cgibin %{_localstatedir}/dcc/cgibin
%define mylibexecdir %{_libexecdir}/dcc
Summary: A clients-server system for collecting checksums of mail messages
Name: DCC
Version: 1.3.57
Release: 18%{?dist}
URL: http://www.rhyolite.com/anti-spam/dcc/
Source0: http://www.rhyolite.com/anti-spam/dcc/source/dcc-%{version}.tar.Z
License: distributable for non-commercial use
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: sendmail-devel

%description
The DCC or Distributed Checksum Clearinghouse is currently a system of
many clients and more than 120 servers that collects and count
checksums related to several million mail messages per day, most as
seen by Internet Service Providers. The counts can be used by SMTP
servers and mail user agents to detect and reject or filter spam or
unsolicited bulk mail. DCC servers exchange or "flood" common
checksums. The checksums include values that are constant across
common variations in bulk messages, including "personalizations."

%prep
%setup -q -n dcc-%{version}
find . -name Makefile.in | xargs sed -i -e's,chown,:,g'

%build
export CFLAGS="%{optflags}"
./configure \
  --with-installroot=%{buildroot} \
  %{?_without_dccm:--disable-dccm} \
  --homedir=%{homedir} \
  --with-cgibin=%{cgibin} \
  --libexecdir=%{mylibexecdir} \
  --bindir=%{_bindir} \
  --mandir=%{_mandir}
make

%install
rm -rf %{buildroot}
make install \
  SET_BINOWN= SET_MANOWN= SET_DCCOWN=

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE FAQ* CHANGES
%dir %{homedir}
%config(noreplace) %{homedir}/dcc_conf
%config(noreplace) %{homedir}/flod
%config(noreplace) %{homedir}/grey_flod
%config(noreplace) %{homedir}/grey_whitelist
%config(noreplace) %{homedir}/ids
%config(noreplace) %{homedir}/log
%config(noreplace) %{homedir}/map
%config(noreplace) %{homedir}/map.txt
%config(noreplace) %{homedir}/whiteclnt
%config(noreplace) %{homedir}/whitecommon
%config(noreplace) %{homedir}/whitelist
%attr(4555,root,root) %{_bindir}/cdcc
%attr(4555,root,root) %{_bindir}/dccproc
%{_bindir}/dccif-test
%{mylibexecdir}
%{cgibin}
%{_mandir}/man8/*

%changelog
* Wed Jun 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.57-18
- Update to 1.3.57.

* Wed May 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.56-17
- Update to 1.3.56.

* Mon Feb 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.50-16
- update to 1.3.50.

* Sun Oct 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.42-15
- Update to 1.3.42.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.3.31.

* Sat Nov 26 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.3.21.

* Sun Apr  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.3.0.

* Sun Mar  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.71.

* Mon Jan 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.67.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.64.

* Tue Nov  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.58.

* Fri Oct 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.57.

* Thu Sep 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.53.

* Mon May 31 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.49.

* Mon May  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 1.2.47.

* Sat Apr  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.39.

* Fri May  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


